/*
/usr/sbin/alternatives --install /usr/bin/java java /usr/java/jre1.5.0_16/bin/java 1500
*/

import java.io.IOException;
import org.w3c.dom.*;
import org.xml.sax.SAXException;
import javax.xml.parsers.*;
import javax.xml.xpath.*;

public class XPathExample {

	public static void main(String[] args) throws 
	ParserConfigurationException, SAXException, IOException, XPathExpressionException {

	DocumentBuilderFactory domFactory = DocumentBuilderFactory.newInstance();
	domFactory.setNamespaceAware(true); 
	DocumentBuilder builder = domFactory.newDocumentBuilder();
	Document doc = builder.parse("person.xml");

	XPathFactory factory = XPathFactory.newInstance();
	XPath xpath = factory.newXPath();
	XPathExpression expr = xpath.compile("//person[address='Redwood City']/name/text()");

	Object result = expr.evaluate(doc, XPathConstants.NODESET);
	NodeList nodes = (NodeList) result;
	for (int i = 0; i < nodes.getLength(); i++) {
		System.out.println(nodes.item(i).getNodeValue()); 
	}

	}
}
